summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-editors/nano')
-rw-r--r--app-editors/nano/Manifest5
-rw-r--r--app-editors/nano/files/gentoo.nanorc-r198
-rw-r--r--app-editors/nano/files/nano-4.9.3-disable-speller_build_fix.patch342
-rw-r--r--app-editors/nano/files/nano-4.9.3-minimal_build_fix.patch46
-rw-r--r--app-editors/nano/metadata.xml45
-rw-r--r--app-editors/nano/nano-4.9.3.ebuild88
-rw-r--r--app-editors/nano/nano-7.2-r1.ebuild (renamed from app-editors/nano/nano-5.4.ebuild)63
-rw-r--r--app-editors/nano/nano-8.0.ebuild (renamed from app-editors/nano/nano-5.3-r1.ebuild)66
-rw-r--r--app-editors/nano/nano-9999.ebuild66
9 files changed, 250 insertions, 569 deletions
diff --git a/app-editors/nano/Manifest b/app-editors/nano/Manifest
index 9cdab2674317..85592ebc6a85 100644
--- a/app-editors/nano/Manifest
+++ b/app-editors/nano/Manifest
@@ -1,3 +1,2 @@
-DIST nano-4.9.3.tar.gz 2999198 BLAKE2B a96f707936934a965a9a41dfe13ac1ebbe1a5e38db714df6d219b2c6539f24924d4c4f0451508718f66259854806032b84dc89850a7fd55d157f28ae23531d0e SHA512 233e6ed103441bd2c85ed21c50547f85dc0838cc750a5e9b16ecfb393e3b7b978e971af4a4164062c7c267c98895ecb696c02cbd2e4c2eb1ceee657fd026c30a
-DIST nano-5.3.tar.gz 2874796 BLAKE2B d266018f2508153369e10c6f9cf4c53eaeafdf0efe88da6de19efd76ef13fedebe4b9339ae594b751a12cf18a8c4dcd57466ceedfabf61406f63b69c75fceff1 SHA512 019b58779f5a7d9a9472b415715876d0daac313a02b794900339469ee0b5a27ce202e397c00ad6396b7e26a7c303e52c28d981fff85cf774c79a5a8a9835836d
-DIST nano-5.4.tar.gz 2898561 BLAKE2B 7e5e48f1e85253a7a4a9be2be2b7663e8798655d9e9e2505df1d1752512058734062af953652c1d11dca464ca06d7c90faf2e54cdb65ba01d0f76cfca0282c18 SHA512 711b1a890649e3a2b62c778e6d54813ed98a8261c47a92aa6d7baa690f86d8563813a764f5dffcc6c259fe9b05f8fe76cf48a3178b09666ba55ee035c91cbe28
+DIST nano-7.2.tar.xz 1608444 BLAKE2B c7e3b18383e9f2f9db1f6059c875ddd164d730ea0e5b363e66fb8e5f30e8598ba49a5afd8eea3a55e295f1e43fb136019f60cc9154ae276c5d589002c0e5298a SHA512 a6dfa70edab62e439a9a998ca214f2415d57dbdc01766ad2e4b14048836557a32755f8b09de13c6a89023f215b61d2854017b389eae8d097ca6f3ba73ce2f583
+DIST nano-8.0.tar.xz 1666272 BLAKE2B ba36182da059a3ee4c1fc60a200dee26f47cc6b1441b7ff665b82871f2f8fcac054f6adf82966d353234141bf9c521518da8fa967aca28307bccf43e015ddaea SHA512 86c484428b8805768fd580d0f62aa32ce8f588f4beedcdd35a4014506b562928c7a2fa6487aa0d853b4c9c1639a4d186f46b4e96721568ff81191d5098403ca8
diff --git a/app-editors/nano/files/gentoo.nanorc-r1 b/app-editors/nano/files/gentoo.nanorc-r1
new file mode 100644
index 000000000000..100877dd16d4
--- /dev/null
+++ b/app-editors/nano/files/gentoo.nanorc-r1
@@ -0,0 +1,98 @@
+## Syntax highlighting for Gentoo ebuilds/eclasses,
+## and (further down) for Portage control files.
+
+syntax ebuild "\.e(build|class)$"
+comment "#"
+
+linter bash -n
+
+## All the standard portage functions:
+color brightgreen "(^|\<default_)src_(unpack|prepare|configure|compile|install|test)\>"
+color brightgreen "^pkg_(config|nofetch|info|pretend|setup|(pre|post)(inst|rm))\>"
+color brightgreen "\<default(_pkg_nofetch|_src_(unpack|prepare|configure|compile|test))?\>"
+## Bash-related syntax:
+color green "\<(break|case|continue|do|done|elif|else|esac|exit|fi|for|function|if|in|read|return|select|shift|then|time|until|while)\>"
+color green "\<(declare|eval|exec|export|let|local)\>"
+color green "[][{}():;|`$<>!=&\]"
+color green "-[defhnrsuwxzL]\>"
+color green "-(eq|ne|gt|lt|ge|le|ef|ot|nt)\>"
+
+## Variables... official portage ones in red, all others in bright red:
+color brightred "\$[-0-9@*#?$!]" "\$[[:alpha:]_][[:alnum:]_]*"
+color brightred "\$\{[#!]?([-@*#?$!]|[0-9]+|[[:alpha:]_][[:alnum:]_]*)(\[([[:digit:]]|@)+\])?(([#%/]|:?[-=?+])[^}]*\}|\[|\})"
+color red "\<(EAPI|ARCH|HOMEPAGE|DESCRIPTION|IUSE|SRC_URI|LICENSE|SLOT|KEYWORDS|[BIPR]?DEPEND|PROVIDE|PROPERTIES|REQUIRED_USE|RESTRICT)\>"
+color red "\<(S|E?D|T|PV|PF|P|PN|PR|PVR|A|CATEGORY|DISTDIR|FILESDIR|EPREFIX|(B|E|E?SYS)?ROOT|WORKDIR)\>"
+color red "\<(T|TMPDIR|HOME)\>"
+color red "\<(AS|C(PP|XX)?|FF|GO|LD|RUST)FLAGS\>" "\<C(HOST|TARGET|BUILD)\>" "\<(MERGE_TYPE|REPLACING_VERSIONS|REPLACED_BY_VERSION)\>"
+color red "\<EBUILD_PHASE(_FUNC)?\>"
+color red "\<QA_((TEXTRELS|EXECSTACK|WX_LOAD)(_[a-zA-Z_0-9]+)?|DT_HASH|PRESTRIPPED)\>"
+color red "\<(PATCHES|(HTML_)?DOCS)\>" "\<WANT_(AUTO(CONF|MAKE)|LIBTOOL)\>" "\<AUTOTOOLS_(AUTO_)?DEPEND\>" "\<AM_OPTS\>" "\<AT_(NOEAUTOHEADER|NOEAUTOMAKE|NOELIBTOOLIZE|M4DIR)\>"
+color red "\<ECONF_SOURCE\>"
+
+## Portage commands:
+color magenta "\<(use(_(with|enable|if_iuse)|x|v)?|in_iuse) [!a-zA-Z0-9_+ -]*" "inherit.*"
+color brightblue "\<e(apply(_user)?|begin|end|conf|install(docs)?|make|ninja|qmake5|ant|(qa)?warn|infon?|error|log|patch(_user)?|new(group|user))\>"
+color brightblue "\<e(pause|beep|mktemp|(cvs|svn)_clean|punt_cxx)\>" "\<e(aclocal|auto(reconf|header|conf|make)|libtoolize)\>"
+color brightblue "\<e(stack|shopts|umask)_(push|pop)\>" "\<get_libdir\>" "\<ver_(cut|rs|test)\>" "\<version_is_at_least\>"
+color brightblue "\<make_desktop_entry\>" "\<unpack(_(makeself|pdv))?\>"
+color brightblue "\<(assert|die|hasv?|inherit|nonfatal)\>" "\<(use(_(with|enable|if_iuse)|x|v)?|in_iuse)\>" "\<(has|best)_version\>"
+color brightblue "\<(do|new)(ins|s?bin|doc|header|lib(\.so|\.a)?|man|info|exe|initd|confd|envd|pam|menu|icon)\>"
+color brightblue "\<do(compress|dir|html|mo|strip|sym)\>" "\<keepdir\>"
+color brightblue "\<prepall(docs|info|man|strip)?\>" "\<prep(info|lib|lib\.(so|a)|man|strip)\>"
+color brightblue "\<(doc|ins|exe)?into\>" "\<f(owners|perms)\>" "\<(exe|ins|dir)opts\>"
+color brightblue "\<add(read|write|predict|deny)\>"
+### common eclasses
+color brightblue "\<edo(b)?\>"
+### flag-o-matic.eclass, toolchain-funcs.eclass
+color brightblue "\<(all-flag-vars)\>"
+color brightblue "\<(filter-(flags|lfs-flags|lto|mfpmath))\>"
+color brightblue "\<strip-flags\>"
+color brightblue "\<append-(cpp|c|cxx|f|lfs|ld)?flags\>"
+color brightblue "\<replace-flags\>" "\<replace-cpu-flags\>"
+color brightblue "\<is-(ld?)flagq?\>"
+color brightblue "\<(append-atomic-flags|no-as-needed|raw-ldflags|append-libs|replace-sparc64-flags|get-flag|strip-unsupported-flags)\>"
+color brightblue "\<tc-get(BUILD_)?(AR|AS|CC|CPP|CXX|DLLWRAP|F77|FC|GCJ|GO|LD|STRINGS|STRIP|NM|OBJCOPY|OBJDUMP|PKG_CONFIG|RANLIB|RC|READELF)\>"
+color brightblue "\<test-flag(s)?-(CC|CXX|F77|FC|CCLD)\>"
+color brightblue "\<tc-ld-(is-(gold|lld)|disable-gold|force-bfd)\>"
+color brightblue "\<tc-(arch(-kernel)?|check-openmp|export|has-(tls|openmp)|is-cross-compiler)\>"
+color brightblue "\<tc-is-(clang|gcc)\>"
+color brightblue "\<(clang|gcc)-(fullversion|(major-|minor|micro-)version)\>"
+### debugging
+color brightblue "\<debug-print(-function|-section)\>"
+
+## Common commands used in ebuilds:
+color blue "\<(awk|cat|cd|chmod|chown|cp|echo|env|find|e?grep|ln|make|mkdir|mv|popd|printf|pushd|rm|rmdir|sed|set|tar|touch|unset|xargs)\>"
+## Comments (doesn't work that well):
+color yellow "(^|[[:space:]])#.*"
+## Strings (doesn't work that well):
+color brightyellow ""([^"\]|\\.)*"|'([^'\]|\\.)*'"
+## Trailing space is bad!
+color ,green "[[:space:]]+$"
+## Mixed whitespace is also bad.
+color ,green " "
+
+
+syntax /etc/portage "\.(accept_keywords|env|keywords|mask|unmask|use)(/.+)?$"
+comment "#"
+
+## Base text:
+color green ".+"
+## Likely version and slot numbers:
+color magenta "-[[:digit:].]+(_(alpha|beta|pre|rc|p)[[:digit:]]*)*(-r[[:digit:]]+)?([:[:space:]]|$)"
+color magenta ":[^[:space:]]+([[:space:]]|$)"
+## Use flags (must come after version/slot):
+color brightred "[[:space:]]+\+?[A-Za-z0-9+_@-]+"
+color brightblue "[[:space:]]+-[A-Za-z0-9+_@-]+"
+## Accepted arches:
+color white "[~-]?\<(alpha|amd64|arm(64)?|hppa|ia64|loong|m68k|mips|ppc(64)?|riscv|s390|sparc|x86)(-(linux|macos|solaris))?\>"
+color white "[[:space:]][*~-]?\*"
+## Categories:
+color cyan "^[[:space:]]*[^/]*/"
+## Masking regulators:
+color brightmagenta "^[[:space:]]*(=|~|<|<=|>|>=)"
+## Comments:
+color yellow "#.*"
+## Trailing space is bad!
+color ,green "[[:space:]]+$"
+## Mixed whitespace is also bad.
+color ,green " "
diff --git a/app-editors/nano/files/nano-4.9.3-disable-speller_build_fix.patch b/app-editors/nano/files/nano-4.9.3-disable-speller_build_fix.patch
deleted file mode 100644
index 978e24de805d..000000000000
--- a/app-editors/nano/files/nano-4.9.3-disable-speller_build_fix.patch
+++ /dev/null
@@ -1,342 +0,0 @@
-From 4b7f7a30c9ec593d68186b1dfef44d4e2bda735b Mon Sep 17 00:00:00 2001
-From: Benno Schulenberg <bensberg@telfort.nl>
-Date: Mon, 22 Jun 2020 08:39:59 +0200
-Subject: [PATCH] build: fix compilation when configured with
- --disable-speller
-
-Move two functions that are used by the formatter too
-to between the proper #ifdef.
-
-Problem existed since commit 8089f5ad from a month ago.
-
-Backported to v4.9.3
-Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
----
- src/text.c | 302 ++++++++++++++++++++++++++---------------------------
- 1 file changed, 151 insertions(+), 151 deletions(-)
-
-diff --git a/src/text.c b/src/text.c
-index 93ad3704..c7690fd0 100644
---- a/src/text.c
-+++ b/src/text.c
-@@ -2011,8 +2011,159 @@ void construct_argument_list(char ***arguments, char *command, char *filename)
- (*arguments)[count - 2] = filename;
- (*arguments)[count - 1] = NULL;
- }
-+
-+/* Open the specified file, and if that succeeds, remove the text of the marked
-+ * region or of the entire buffer and read the file contents into its place. */
-+bool replace_buffer(const char *filename, undo_type action, const char *operation)
-+{
-+ linestruct *was_cutbuffer = cutbuffer;
-+ int descriptor;
-+ FILE *stream;
-+
-+ descriptor = open_file(filename, FALSE, &stream);
-+
-+ if (descriptor < 0)
-+ return FALSE;
-+
-+ cutbuffer = NULL;
-+
-+#ifndef NANO_TINY
-+ add_undo(COUPLE_BEGIN, operation);
-+
-+ /* Cut either the marked region or the whole buffer. */
-+ add_undo(action, NULL);
-+#endif
-+ do_snip(FALSE, openfile->mark, openfile->mark == NULL, FALSE);
-+#ifndef NANO_TINY
-+ update_undo(action);
- #endif
-
-+ /* Discard what was cut. */
-+ free_lines(cutbuffer);
-+ cutbuffer = was_cutbuffer;
-+
-+ /* Insert the spell-checked file into the cleared area. */
-+ read_file(stream, descriptor, filename, TRUE);
-+
-+#ifndef NANO_TINY
-+ add_undo(COUPLE_END, operation);
-+#endif
-+ return TRUE;
-+}
-+
-+/* Execute the given program, with the given temp file as last argument. */
-+const char *treat(char *tempfile_name, char *theprogram, bool spelling)
-+{
-+ ssize_t lineno_save = openfile->current->lineno;
-+ size_t current_x_save = openfile->current_x;
-+ size_t pww_save = openfile->placewewant;
-+ bool was_at_eol = (openfile->current->data[openfile->current_x] == '\0');
-+ struct stat fileinfo;
-+ long timestamp_sec, timestamp_nsec;
-+ static char **arguments = NULL;
-+ pid_t thepid;
-+ int program_status;
-+ bool replaced = FALSE;
-+
-+ /* Get the timestamp and the size of the temporary file. */
-+ stat(tempfile_name, &fileinfo);
-+ timestamp_sec = (long)fileinfo.st_mtim.tv_sec;
-+ timestamp_nsec = (long)fileinfo.st_mtim.tv_nsec;
-+
-+ /* If the number of bytes to check is zero, get out. */
-+ if (fileinfo.st_size == 0)
-+ return NULL;
-+
-+ /* Exit from curses mode to give the program control of the terminal. */
-+ endwin();
-+
-+ construct_argument_list(&arguments, theprogram, tempfile_name);
-+
-+ /* Fork a child process and run the given program in it. */
-+ if ((thepid = fork()) == 0) {
-+ execvp(arguments[0], arguments);
-+
-+ /* Terminate the child if the program is not found. */
-+ exit(9);
-+ } else if (thepid < 0)
-+ return _("Could not fork");
-+
-+ /* Block SIGWINCHes while waiting for the program to end,
-+ * so nano doesn't get pushed past the wait(). */
-+ block_sigwinch(TRUE);
-+ wait(&program_status);
-+ block_sigwinch(FALSE);
-+
-+ /* Restore the terminal state and reenter curses mode. */
-+ terminal_init();
-+ doupdate();
-+
-+ if (!WIFEXITED(program_status) || WEXITSTATUS(program_status) > 2) {
-+ statusline(ALERT, _("Error invoking '%s'"), arguments[0]);
-+ return NULL;
-+ } else if (WEXITSTATUS(program_status) != 0)
-+ statusline(ALERT, _("Program '%s' complained"), arguments[0]);
-+
-+ /* Stat the temporary file again. */
-+ stat(tempfile_name, &fileinfo);
-+
-+ /* When the temporary file wasn't touched, say so and leave. */
-+ if ((long)fileinfo.st_mtim.tv_sec == timestamp_sec &&
-+ (long)fileinfo.st_mtim.tv_nsec == timestamp_nsec) {
-+ statusbar(_("Nothing changed"));
-+ return NULL;
-+ }
-+
-+#ifndef NANO_TINY
-+ /* Replace the marked text (or entire text) with the corrected text. */
-+ if (spelling && openfile->mark) {
-+ ssize_t was_mark_lineno = openfile->mark->lineno;
-+ bool upright = mark_is_before_cursor();
-+
-+ replaced = replace_buffer(tempfile_name, CUT, "spelling correction");
-+
-+ /* Adjust the end point of the marked region for any change in
-+ * length of the region's last line. */
-+ if (upright)
-+ current_x_save = openfile->current_x;
-+ else
-+ openfile->mark_x = openfile->current_x;
-+
-+ /* Restore the mark. */
-+ openfile->mark = line_from_number(was_mark_lineno);
-+ } else
-+#endif
-+ {
-+ openfile->current = openfile->filetop;
-+ openfile->current_x = 0;
-+
-+ replaced = replace_buffer(tempfile_name, CUT_TO_EOF,
-+ /* TRANSLATORS: The next two go with Undid/Redid messages. */
-+ (spelling ? N_("spelling correction") : N_("formatting")));
-+ }
-+
-+ /* Go back to the old position. */
-+ goto_line_posx(lineno_save, current_x_save);
-+ if (was_at_eol || openfile->current_x > strlen(openfile->current->data))
-+ openfile->current_x = strlen(openfile->current->data);
-+
-+#ifndef NANO_TINY
-+ if (replaced)
-+ update_undo(COUPLE_END);
-+#endif
-+
-+ openfile->placewewant = pww_save;
-+ adjust_viewport(STATIONARY);
-+
-+ if (spelling)
-+ statusbar(_("Finished checking spelling"));
-+ else
-+ statusbar(_("Buffer has been processed"));
-+
-+ return NULL;
-+}
-+#endif /* ENABLE_SPELLER || ENABLE_COLOR */
-+
- #ifdef ENABLE_SPELLER
- /* Let the user edit the misspelled word. Return FALSE if the user cancels. */
- bool fix_spello(const char *word)
-@@ -2307,157 +2458,6 @@ const char *do_int_speller(const char *tempfile_name)
- return NULL;
- }
-
--/* Open the specified file, and if that succeeds, remove the text of the marked
-- * region or of the entire buffer and read the file contents into its place. */
--bool replace_buffer(const char *filename, undo_type action, const char *operation)
--{
-- linestruct *was_cutbuffer = cutbuffer;
-- int descriptor;
-- FILE *stream;
--
-- descriptor = open_file(filename, FALSE, &stream);
--
-- if (descriptor < 0)
-- return FALSE;
--
-- cutbuffer = NULL;
--
--#ifndef NANO_TINY
-- add_undo(COUPLE_BEGIN, operation);
--
-- /* Cut either the marked region or the whole buffer. */
-- add_undo(action, NULL);
--#endif
-- do_snip(FALSE, openfile->mark, openfile->mark == NULL, FALSE);
--#ifndef NANO_TINY
-- update_undo(action);
--#endif
--
-- /* Discard what was cut. */
-- free_lines(cutbuffer);
-- cutbuffer = was_cutbuffer;
--
-- /* Insert the spell-checked file into the cleared area. */
-- read_file(stream, descriptor, filename, TRUE);
--
--#ifndef NANO_TINY
-- add_undo(COUPLE_END, operation);
--#endif
-- return TRUE;
--}
--
--/* Execute the given program, with the given temp file as last argument. */
--const char *treat(char *tempfile_name, char *theprogram, bool spelling)
--{
-- ssize_t lineno_save = openfile->current->lineno;
-- size_t current_x_save = openfile->current_x;
-- size_t pww_save = openfile->placewewant;
-- bool was_at_eol = (openfile->current->data[openfile->current_x] == '\0');
-- struct stat fileinfo;
-- long timestamp_sec, timestamp_nsec;
-- static char **arguments = NULL;
-- pid_t thepid;
-- int program_status;
-- bool replaced = FALSE;
--
-- /* Get the timestamp and the size of the temporary file. */
-- stat(tempfile_name, &fileinfo);
-- timestamp_sec = (long)fileinfo.st_mtim.tv_sec;
-- timestamp_nsec = (long)fileinfo.st_mtim.tv_nsec;
--
-- /* If the number of bytes to check is zero, get out. */
-- if (fileinfo.st_size == 0)
-- return NULL;
--
-- /* Exit from curses mode to give the program control of the terminal. */
-- endwin();
--
-- construct_argument_list(&arguments, theprogram, tempfile_name);
--
-- /* Fork a child process and run the given program in it. */
-- if ((thepid = fork()) == 0) {
-- execvp(arguments[0], arguments);
--
-- /* Terminate the child if the program is not found. */
-- exit(9);
-- } else if (thepid < 0)
-- return _("Could not fork");
--
-- /* Block SIGWINCHes while waiting for the program to end,
-- * so nano doesn't get pushed past the wait(). */
-- block_sigwinch(TRUE);
-- wait(&program_status);
-- block_sigwinch(FALSE);
--
-- /* Restore the terminal state and reenter curses mode. */
-- terminal_init();
-- doupdate();
--
-- if (!WIFEXITED(program_status) || WEXITSTATUS(program_status) > 2) {
-- statusline(ALERT, _("Error invoking '%s'"), arguments[0]);
-- return NULL;
-- } else if (WEXITSTATUS(program_status) != 0)
-- statusline(ALERT, _("Program '%s' complained"), arguments[0]);
--
-- /* Stat the temporary file again. */
-- stat(tempfile_name, &fileinfo);
--
-- /* When the temporary file wasn't touched, say so and leave. */
-- if ((long)fileinfo.st_mtim.tv_sec == timestamp_sec &&
-- (long)fileinfo.st_mtim.tv_nsec == timestamp_nsec) {
-- statusbar(_("Nothing changed"));
-- return NULL;
-- }
--
--#ifndef NANO_TINY
-- /* Replace the marked text (or entire text) with the corrected text. */
-- if (spelling && openfile->mark) {
-- ssize_t was_mark_lineno = openfile->mark->lineno;
-- bool upright = mark_is_before_cursor();
--
-- replaced = replace_buffer(tempfile_name, CUT, "spelling correction");
--
-- /* Adjust the end point of the marked region for any change in
-- * length of the region's last line. */
-- if (upright)
-- current_x_save = openfile->current_x;
-- else
-- openfile->mark_x = openfile->current_x;
--
-- /* Restore the mark. */
-- openfile->mark = line_from_number(was_mark_lineno);
-- } else
--#endif
-- {
-- openfile->current = openfile->filetop;
-- openfile->current_x = 0;
--
-- replaced = replace_buffer(tempfile_name, CUT_TO_EOF,
-- /* TRANSLATORS: The next two go with Undid/Redid messages. */
-- (spelling ? N_("spelling correction") : N_("formatting")));
-- }
--
-- /* Go back to the old position. */
-- goto_line_posx(lineno_save, current_x_save);
-- if (was_at_eol || openfile->current_x > strlen(openfile->current->data))
-- openfile->current_x = strlen(openfile->current->data);
--
--#ifndef NANO_TINY
-- if (replaced)
-- update_undo(COUPLE_END);
--#endif
--
-- openfile->placewewant = pww_save;
-- adjust_viewport(STATIONARY);
--
-- if (spelling)
-- statusbar(_("Finished checking spelling"));
-- else
-- statusbar(_("Buffer has been processed"));
--
-- return NULL;
--}
--
- /* Spell check the current file. If an alternate spell checker is
- * specified, use it. Otherwise, use the internal spell checker. */
- void do_spell(void)
---
-2.28.0
-
diff --git a/app-editors/nano/files/nano-4.9.3-minimal_build_fix.patch b/app-editors/nano/files/nano-4.9.3-minimal_build_fix.patch
deleted file mode 100644
index 52112bab7235..000000000000
--- a/app-editors/nano/files/nano-4.9.3-minimal_build_fix.patch
+++ /dev/null
@@ -1,46 +0,0 @@
-From a98f48b4e82db7d30aa04925fb28344f5bce8c7c Mon Sep 17 00:00:00 2001
-From: Benno Schulenberg <bensberg@telfort.nl>
-Date: Mon, 22 Jun 2020 14:00:23 +0200
-Subject: [PATCH] build: fix compilation for --enable-tiny --enable-color
- --enable-nanorc
-
-Backported to v4.9.3
-Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
----
- src/nano.c | 2 +-
- src/text.c | 4 ++--
- 2 files changed, 3 insertions(+), 3 deletions(-)
-
-diff --git a/src/nano.c b/src/nano.c
-index be80a073..3ac81ba4 100644
---- a/src/nano.c
-+++ b/src/nano.c
-@@ -1079,7 +1079,7 @@ RETSIGTYPE do_continue(int signal)
- ungetch(KEY_FLUSH);
- }
-
--#if !defined(NANO_TINY) || defined(ENABLE_SPELLER)
-+#if !defined(NANO_TINY) || defined(ENABLE_SPELLER) || defined(ENABLE_COLOR)
- /* Block or unblock the SIGWINCH signal, depending on the blockit parameter. */
- void block_sigwinch(bool blockit)
- {
-diff --git a/src/text.c b/src/text.c
-index c7690fd0..32727946 100644
---- a/src/text.c
-+++ b/src/text.c
-@@ -2032,10 +2032,10 @@ bool replace_buffer(const char *filename, undo_type action, const char *operatio
-
- /* Cut either the marked region or the whole buffer. */
- add_undo(action, NULL);
--#endif
- do_snip(FALSE, openfile->mark, openfile->mark == NULL, FALSE);
--#ifndef NANO_TINY
- update_undo(action);
-+#else
-+ do_snip(FALSE, TRUE, FALSE, FALSE);
- #endif
-
- /* Discard what was cut. */
---
-2.28.0
-
diff --git a/app-editors/nano/metadata.xml b/app-editors/nano/metadata.xml
index add7f71937d3..0e05c7d4c62f 100644
--- a/app-editors/nano/metadata.xml
+++ b/app-editors/nano/metadata.xml
@@ -1,11 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<maintainer type="person">
- <email>polynomial-c@gentoo.org</email>
- <name>Lars Wendler</name>
-</maintainer>
-<longdescription>
+ <maintainer type="project">
+ <email>base-system@gentoo.org</email>
+ <name>Gentoo Base System</name>
+ </maintainer>
+ <longdescription>
GNU nano - an enhanced clone of the Pico text editor.
The nano project was started because of a few "problems" with the
@@ -21,22 +21,19 @@ require a command line flag. Yuck.
nano aims to solve these problems by emulating the functionality of
Pico as closely as possible while addressing the problems above and
perhaps providing other extra functionality.
-</longdescription>
-<use>
- <flag name="justify">Enable justify/unjustify functions for text formatting.</flag>
- <flag name="debug">
- Enable debug messages and assert warnings. Note that these will all be sent
- straight to stderr rather than some logging facility.
- </flag>
- <flag name="magic">
- Add magic file support (sys-apps/file) to automatically detect appropriate syntax highlighting
- </flag>
- <flag name="minimal">
- Disable all fancy features, including ones that otherwise have a dedicated
- USE flag (such as spelling).
- </flag>
- <flag name="split-usr">
- Enable this if /bin and /usr/bin are separate directories
- </flag>
-</use>
+ </longdescription>
+ <use>
+ <flag name="justify">Enable justify/unjustify functions for text formatting.</flag>
+ <flag name="debug">
+ Enable debug messages and assert warnings. Note that these will all be sent
+ straight to stderr rather than some logging facility.
+ </flag>
+ <flag name="magic">
+ Add magic file support (<pkg>sys-apps/file</pkg>) to automatically detect appropriate syntax highlighting
+ </flag>
+ <flag name="minimal">
+ Disable all fancy features, including ones that otherwise have a dedicated
+ USE flag (such as spelling).
+ </flag>
+ </use>
</pkgmetadata>
diff --git a/app-editors/nano/nano-4.9.3.ebuild b/app-editors/nano/nano-4.9.3.ebuild
deleted file mode 100644
index 5e77b11f1a70..000000000000
--- a/app-editors/nano/nano-4.9.3.ebuild
+++ /dev/null
@@ -1,88 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit flag-o-matic
-if [[ ${PV} == "9999" ]] ; then
- EGIT_REPO_URI="git://git.sv.gnu.org/nano.git"
- inherit git-r3 autotools
-else
- MY_P="${PN}-${PV/_}"
- SRC_URI="https://www.nano-editor.org/dist/v${PV:0:1}/${MY_P}.tar.gz"
- KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-fi
-
-DESCRIPTION="GNU GPL'd Pico clone with more functionality"
-HOMEPAGE="https://www.nano-editor.org/ https://wiki.gentoo.org/wiki/Nano/Basics_Guide"
-
-LICENSE="GPL-3"
-SLOT="0"
-IUSE="debug justify +magic minimal ncurses nls slang +spell +split-usr static unicode"
-
-LIB_DEPEND=">=sys-libs/ncurses-5.9-r1:0=[unicode?]
- sys-libs/ncurses:0=[static-libs(+)]
- magic? ( sys-apps/file[static-libs(+)] )
- nls? ( virtual/libintl )
- !ncurses? ( slang? ( sys-libs/slang[static-libs(+)] ) )"
-RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
-DEPEND="${RDEPEND}
- static? ( ${LIB_DEPEND} )"
-BDEPEND="
- nls? ( sys-devel/gettext )
- virtual/pkgconfig
-"
-
-REQUIRED_USE="!ncurses? ( slang? ( minimal ) )"
-
-PATCHES=(
- "${FILESDIR}/${P}-disable-speller_build_fix.patch"
- "${FILESDIR}/${P}-minimal_build_fix.patch" #734856
-)
-
-src_prepare() {
- default
- if [[ ${PV} == "9999" ]] ; then
- eautoreconf
- fi
-}
-
-src_configure() {
- use static && append-ldflags -static
- local myconf=(
- --bindir="${EPREFIX}"/bin
- --htmldir=/trash
- $(use_enable !minimal color)
- $(use_enable !minimal multibuffer)
- $(use_enable !minimal nanorc)
- $(use_enable magic libmagic)
- $(use_enable spell speller)
- $(use_enable justify)
- $(use_enable debug)
- $(use_enable nls)
- $(use_enable unicode utf8)
- $(use_enable minimal tiny)
- $(usex ncurses --without-slang $(use_with slang))
- )
- econf "${myconf[@]}"
-}
-
-src_install() {
- default
- # don't use "${ED}" here or things break (#654534)
- rm -r "${D}"/trash || die
-
- dodoc doc/sample.nanorc
- docinto html
- dodoc doc/faq.html
- insinto /etc
- newins doc/sample.nanorc nanorc
- if ! use minimal ; then
- # Enable colorization by default.
- sed -i \
- -e '/^# include /s:# *::' \
- "${ED}"/etc/nanorc || die
- fi
-
- use split-usr && dosym ../../bin/nano /usr/bin/nano
-}
diff --git a/app-editors/nano/nano-5.4.ebuild b/app-editors/nano/nano-7.2-r1.ebuild
index 58e6b0821478..4f09eadd022b 100644
--- a/app-editors/nano/nano-5.4.ebuild
+++ b/app-editors/nano/nano-7.2-r1.ebuild
@@ -1,53 +1,58 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit flag-o-matic
-if [[ ${PV} == "9999" ]] ; then
- EGIT_REPO_URI="git://git.sv.gnu.org/nano.git"
- inherit git-r3 autotools
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://git.savannah.gnu.org/git/nano.git"
+ inherit autotools git-r3
else
MY_P="${PN}-${PV/_}"
- SRC_URI="https://www.nano-editor.org/dist/v${PV:0:1}/${MY_P}.tar.gz"
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+ SRC_URI="https://www.nano-editor.org/dist/v${PV:0:1}/${MY_P}.tar.xz"
+ KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
fi
DESCRIPTION="GNU GPL'd Pico clone with more functionality"
-HOMEPAGE="https://www.nano-editor.org/ https://wiki.gentoo.org/wiki/Nano/Basics_Guide"
+HOMEPAGE="https://www.nano-editor.org/ https://wiki.gentoo.org/wiki/Nano/Guide"
-LICENSE="GPL-3"
+LICENSE="GPL-3+ LGPL-2.1+ || ( GPL-3+ FDL-1.2+ )"
SLOT="0"
-IUSE="debug justify magic minimal ncurses nls slang +spell +split-usr static unicode"
+IUSE="debug justify magic minimal ncurses nls +spell static unicode"
-LIB_DEPEND=">=sys-libs/ncurses-5.9-r1:0=[unicode?]
- sys-libs/ncurses:0=[static-libs(+)]
+LIB_DEPEND="
+ >=sys-libs/ncurses-5.9-r1:=[unicode(+)?]
+ sys-libs/ncurses:=[static-libs(+)]
magic? ( sys-apps/file[static-libs(+)] )
nls? ( virtual/libintl )
- !ncurses? ( slang? ( sys-libs/slang[static-libs(+)] ) )"
+"
RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
-DEPEND="${RDEPEND}
- static? ( ${LIB_DEPEND} )"
+DEPEND="
+ ${RDEPEND}
+ static? ( ${LIB_DEPEND} )
+"
BDEPEND="
nls? ( sys-devel/gettext )
virtual/pkgconfig
"
REQUIRED_USE="
- !ncurses? ( slang? ( minimal ) )
magic? ( !minimal )
"
src_prepare() {
default
- if [[ ${PV} == "9999" ]] ; then
+
+ if [[ ${PV} == 9999 ]] ; then
eautoreconf
fi
}
src_configure() {
use static && append-ldflags -static
- local myconf=(
+
+ local myconfargs=(
--bindir="${EPREFIX}"/bin
--htmldir=/trash
$(use_enable !minimal color)
@@ -60,14 +65,15 @@ src_configure() {
$(use_enable nls)
$(use_enable unicode utf8)
$(use_enable minimal tiny)
- $(usex ncurses --without-slang $(use_with slang))
)
- econf "${myconf[@]}"
+
+ econf "${myconfargs[@]}"
}
src_install() {
default
- # don't use "${ED}" here or things break (#654534)
+
+ # Don't use "${ED}" here or things break (#654534)
rm -r "${D}"/trash || die
dodoc doc/sample.nanorc
@@ -75,6 +81,7 @@ src_install() {
dodoc doc/faq.html
insinto /etc
newins doc/sample.nanorc nanorc
+
if ! use minimal ; then
# Enable colorization by default.
sed -i \
@@ -86,7 +93,19 @@ src_install() {
local rcdir="/usr/share/nano"
mv "${ED}"${rcdir}/extra/* "${ED}"/${rcdir}/ || die
rmdir "${ED}"${rcdir}/extra || die
+
+ insinto "${rcdir}"
+ newins "${FILESDIR}/gentoo.nanorc-r1" gentoo.nanorc
fi
+}
+
+pkg_postrm() {
+ [[ -n ${REPLACED_BY_VERSION} ]] && return
- use split-usr && dosym ../../bin/nano /usr/bin/nano
+ local e
+ e=$(unset EDITOR; . "${EROOT}"/etc/profile &>/dev/null; echo "${EDITOR}")
+ if [[ ${e##*/} == nano ]]; then
+ ewarn "The EDITOR variable is still set to ${e}."
+ ewarn "You can update it with \"eselect editor\"."
+ fi
}
diff --git a/app-editors/nano/nano-5.3-r1.ebuild b/app-editors/nano/nano-8.0.ebuild
index 0dce8b7ab8ba..e66a301a6c4b 100644
--- a/app-editors/nano/nano-5.3-r1.ebuild
+++ b/app-editors/nano/nano-8.0.ebuild
@@ -1,53 +1,61 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit flag-o-matic
-if [[ ${PV} == "9999" ]] ; then
- EGIT_REPO_URI="git://git.sv.gnu.org/nano.git"
- inherit git-r3 autotools
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://git.savannah.gnu.org/git/nano.git"
+ inherit autotools git-r3
else
MY_P="${PN}-${PV/_}"
- SRC_URI="https://www.nano-editor.org/dist/v${PV:0:1}/${MY_P}.tar.gz"
- KEYWORDS="~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+ SRC_URI="https://www.nano-editor.org/dist/v${PV:0:1}/${MY_P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
fi
DESCRIPTION="GNU GPL'd Pico clone with more functionality"
-HOMEPAGE="https://www.nano-editor.org/ https://wiki.gentoo.org/wiki/Nano/Basics_Guide"
+HOMEPAGE="https://www.nano-editor.org/ https://wiki.gentoo.org/wiki/Nano/Guide"
-LICENSE="GPL-3"
+LICENSE="GPL-3+ LGPL-2.1+ || ( GPL-3+ FDL-1.2+ )"
SLOT="0"
-IUSE="debug justify magic minimal ncurses nls slang +spell +split-usr static unicode"
+IUSE="debug justify magic minimal ncurses nls +spell static unicode"
-LIB_DEPEND=">=sys-libs/ncurses-5.9-r1:0=[unicode?]
- sys-libs/ncurses:0=[static-libs(+)]
+LIB_DEPEND="
+ >=sys-libs/ncurses-5.9-r1:=[unicode(+)?]
+ sys-libs/ncurses:=[static-libs(+)]
magic? ( sys-apps/file[static-libs(+)] )
nls? ( virtual/libintl )
- !ncurses? ( slang? ( sys-libs/slang[static-libs(+)] ) )"
+"
RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
-DEPEND="${RDEPEND}
- static? ( ${LIB_DEPEND} )"
+DEPEND="
+ ${RDEPEND}
+ static? ( ${LIB_DEPEND} )
+"
BDEPEND="
nls? ( sys-devel/gettext )
virtual/pkgconfig
"
REQUIRED_USE="
- !ncurses? ( slang? ( minimal ) )
magic? ( !minimal )
"
+# gnulib FPs
+QA_CONFIG_IMPL_DECL_SKIP=( unreachable MIN static_assert )
+
src_prepare() {
default
- if [[ ${PV} == "9999" ]] ; then
+
+ if [[ ${PV} == 9999 ]] ; then
eautoreconf
fi
}
src_configure() {
use static && append-ldflags -static
- local myconf=(
+
+ local myconfargs=(
--bindir="${EPREFIX}"/bin
--htmldir=/trash
$(use_enable !minimal color)
@@ -60,14 +68,15 @@ src_configure() {
$(use_enable nls)
$(use_enable unicode utf8)
$(use_enable minimal tiny)
- $(usex ncurses --without-slang $(use_with slang))
)
- econf "${myconf[@]}"
+
+ econf "${myconfargs[@]}"
}
src_install() {
default
- # don't use "${ED}" here or things break (#654534)
+
+ # Don't use "${ED}" here or things break (#654534)
rm -r "${D}"/trash || die
dodoc doc/sample.nanorc
@@ -75,6 +84,7 @@ src_install() {
dodoc doc/faq.html
insinto /etc
newins doc/sample.nanorc nanorc
+
if ! use minimal ; then
# Enable colorization by default.
sed -i \
@@ -86,7 +96,19 @@ src_install() {
local rcdir="/usr/share/nano"
mv "${ED}"${rcdir}/extra/* "${ED}"/${rcdir}/ || die
rmdir "${ED}"${rcdir}/extra || die
+
+ insinto "${rcdir}"
+ newins "${FILESDIR}/gentoo.nanorc-r1" gentoo.nanorc
fi
+}
+
+pkg_postrm() {
+ [[ -n ${REPLACED_BY_VERSION} ]] && return
- use split-usr && dosym ../../bin/nano /usr/bin/nano
+ local e
+ e=$(unset EDITOR; . "${EROOT}"/etc/profile &>/dev/null; echo "${EDITOR}")
+ if [[ ${e##*/} == nano ]]; then
+ ewarn "The EDITOR variable is still set to ${e}."
+ ewarn "You can update it with \"eselect editor\"."
+ fi
}
diff --git a/app-editors/nano/nano-9999.ebuild b/app-editors/nano/nano-9999.ebuild
index 58e6b0821478..e66a301a6c4b 100644
--- a/app-editors/nano/nano-9999.ebuild
+++ b/app-editors/nano/nano-9999.ebuild
@@ -1,53 +1,61 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit flag-o-matic
-if [[ ${PV} == "9999" ]] ; then
- EGIT_REPO_URI="git://git.sv.gnu.org/nano.git"
- inherit git-r3 autotools
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://git.savannah.gnu.org/git/nano.git"
+ inherit autotools git-r3
else
MY_P="${PN}-${PV/_}"
- SRC_URI="https://www.nano-editor.org/dist/v${PV:0:1}/${MY_P}.tar.gz"
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+ SRC_URI="https://www.nano-editor.org/dist/v${PV:0:1}/${MY_P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
fi
DESCRIPTION="GNU GPL'd Pico clone with more functionality"
-HOMEPAGE="https://www.nano-editor.org/ https://wiki.gentoo.org/wiki/Nano/Basics_Guide"
+HOMEPAGE="https://www.nano-editor.org/ https://wiki.gentoo.org/wiki/Nano/Guide"
-LICENSE="GPL-3"
+LICENSE="GPL-3+ LGPL-2.1+ || ( GPL-3+ FDL-1.2+ )"
SLOT="0"
-IUSE="debug justify magic minimal ncurses nls slang +spell +split-usr static unicode"
+IUSE="debug justify magic minimal ncurses nls +spell static unicode"
-LIB_DEPEND=">=sys-libs/ncurses-5.9-r1:0=[unicode?]
- sys-libs/ncurses:0=[static-libs(+)]
+LIB_DEPEND="
+ >=sys-libs/ncurses-5.9-r1:=[unicode(+)?]
+ sys-libs/ncurses:=[static-libs(+)]
magic? ( sys-apps/file[static-libs(+)] )
nls? ( virtual/libintl )
- !ncurses? ( slang? ( sys-libs/slang[static-libs(+)] ) )"
+"
RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
-DEPEND="${RDEPEND}
- static? ( ${LIB_DEPEND} )"
+DEPEND="
+ ${RDEPEND}
+ static? ( ${LIB_DEPEND} )
+"
BDEPEND="
nls? ( sys-devel/gettext )
virtual/pkgconfig
"
REQUIRED_USE="
- !ncurses? ( slang? ( minimal ) )
magic? ( !minimal )
"
+# gnulib FPs
+QA_CONFIG_IMPL_DECL_SKIP=( unreachable MIN static_assert )
+
src_prepare() {
default
- if [[ ${PV} == "9999" ]] ; then
+
+ if [[ ${PV} == 9999 ]] ; then
eautoreconf
fi
}
src_configure() {
use static && append-ldflags -static
- local myconf=(
+
+ local myconfargs=(
--bindir="${EPREFIX}"/bin
--htmldir=/trash
$(use_enable !minimal color)
@@ -60,14 +68,15 @@ src_configure() {
$(use_enable nls)
$(use_enable unicode utf8)
$(use_enable minimal tiny)
- $(usex ncurses --without-slang $(use_with slang))
)
- econf "${myconf[@]}"
+
+ econf "${myconfargs[@]}"
}
src_install() {
default
- # don't use "${ED}" here or things break (#654534)
+
+ # Don't use "${ED}" here or things break (#654534)
rm -r "${D}"/trash || die
dodoc doc/sample.nanorc
@@ -75,6 +84,7 @@ src_install() {
dodoc doc/faq.html
insinto /etc
newins doc/sample.nanorc nanorc
+
if ! use minimal ; then
# Enable colorization by default.
sed -i \
@@ -86,7 +96,19 @@ src_install() {
local rcdir="/usr/share/nano"
mv "${ED}"${rcdir}/extra/* "${ED}"/${rcdir}/ || die
rmdir "${ED}"${rcdir}/extra || die
+
+ insinto "${rcdir}"
+ newins "${FILESDIR}/gentoo.nanorc-r1" gentoo.nanorc
fi
+}
+
+pkg_postrm() {
+ [[ -n ${REPLACED_BY_VERSION} ]] && return
- use split-usr && dosym ../../bin/nano /usr/bin/nano
+ local e
+ e=$(unset EDITOR; . "${EROOT}"/etc/profile &>/dev/null; echo "${EDITOR}")
+ if [[ ${e##*/} == nano ]]; then
+ ewarn "The EDITOR variable is still set to ${e}."
+ ewarn "You can update it with \"eselect editor\"."
+ fi
}